// 微信解密
export function wx_decode(appId, sessionKey, encryptedData, iv) {
    var WXBizDataCrypt = require('./WXBizDataCrypt');
    var pc = new WXBizDataCrypt(appId, sessionKey);
    var data = pc.decryptData(encryptedData, iv);
    return data;
}

// 定位方法
export  function getUserLocation() {
    return Promise((resolve,reject)=>{
        wx.getLocation({
            type: 'gcj02', // type有两中类型，gcj02 是腾讯地图所能解析的
            success: res => {
                resolve(res)
            }
        })
    })
}

// 获取定位城市名称方法
function getCity() {
    var _this = this
    wx.request({
        url: `https://apis.map.qq.com/ws/geocoder/v1/?key=key填写的位置&location=` + _this.data.locationObj.latitude + ',' + _this.data.locationObj.longitude,
        success: res => {
            console.log(res) // 此处返回的就是需要查询的城市名称
        }
    })
}